# Get change request configuration GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/change-requests/config **Enterprise feature** Given a projectId, this endpoint will retrieve change request configuration for the project Reference: https://docs.getunleash.io/api/get-project-change-request-config ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Retrieves change request configuration for a project version: endpoint_changeRequests.getProjectChangeRequestConfig paths: /api/admin/projects/{projectId}/change-requests/config: get: operationId: get-project-change-request-config summary: Retrieves change request configuration for a project description: >- **Enterprise feature** Given a projectId, this endpoint will retrieve change request configuration for the project tags: - - subpackage_changeRequests parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: changeRequestConfigSchema content: application/json: schema: $ref: '#/components/schemas/changeRequestConfigSchema' components: schemas: changeRequestEnvironmentConfigSchema: type: object properties: environment: type: string description: The environment that this configuration applies to. type: type: string description: >- The [type of the environment](https://docs.getunleash.io/concepts/environments#environment-types) listed in `environment`. changeRequestEnabled: type: boolean description: >- `true` if this environment has change requests enabled, otherwise `false`. requiredApprovals: type: - number - 'null' format: double description: >- The number of approvals that are required for a change request to be fully approved and ready to be applied in this environment. required: - environment - type - changeRequestEnabled - requiredApprovals changeRequestConfigSchema: type: array items: $ref: '#/components/schemas/changeRequestEnvironmentConfigSchema' ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/config")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```